# synfig::ValueNode_Add Struct Reference

`#include <valuenode_add.h>`

Inheritance diagram for synfig::ValueNode_Add:

List of all members.

## Public Types

typedef etl::handle < ValueNode_Add > | Handle
typedef etl::handle< const ValueNode_Add > | ConstHandle

## Public Member Functions

LinkableValueNode * | create_new () const
virtual | ~ValueNode_Add ()
virtual ValueBase | operator() (Time t) const
| Returns the value of the ValueNode at time t.
virtual bool | set_link_vfunc (int i, ValueNode::Handle x)
virtual ValueNode::LooseHandle | get_link_vfunc (int i) const
virtual int | link_count () const
virtual String | link_local_name (int i) const
virtual String | link_name (int i) const
virtual int | get_link_index_from_name (const String &name) const
virtual String | get_name () const
| Returns the name of the ValueNode type.
virtual String | get_local_name () const
| Returns the localized name of the ValueNode type.

## Static Public Member Functions

static ValueNode_Add * | create (const ValueBase &value=ValueBase())
static bool | check_type (ValueBase::Type type)

## Protected Member Functions

| ValueNode_Add (const ValueBase &value)

## Member Typedef Documentation

typedef etl::handle<ValueNode_Add> synfig::ValueNode_Add::Handle

Reimplemented from synfig::LinkableValueNode.

typedef etl::handle<const ValueNode_Add> synfig::ValueNode_Add::ConstHandle

Reimplemented from synfig::LinkableValueNode.

## Constructor & Destructor Documentation

synfig::ValueNode_Add::ValueNode_Add | ( | const ValueBase & | value | ) | `[protected]`

References _, synfig::ValueNode_Const::create(), synfig::ValueBase::get(), get_local_name(), synfig::ValueBase::get_type(), synfig::LinkableValueNode::set_link(), synfig::ValueBase::TYPE_ANGLE, synfig::ValueBase::TYPE_COLOR, synfig::ValueBase::TYPE_GRADIENT, synfig::ValueBase::TYPE_INTEGER, synfig::ValueBase::type_local_name(), synfig::ValueBase::TYPE_REAL, synfig::ValueBase::TYPE_TIME, and synfig::ValueBase::TYPE_VECTOR.

Referenced by create(), and create_new().

synfig::ValueNode_Add::~ValueNode_Add | ( |  | ) | `[virtual]`

References synfig::LinkableValueNode::unlink_all().

## Member Function Documentation

LinkableValueNode * ValueNode_Add::create_new | ( |  | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

References synfig::ValueNode::get_type(), and ValueNode_Add().

ValueNode_Add * ValueNode_Add::create | ( | const ValueBase & | value = `ValueBase()` | ) | `[static]`

References ValueNode_Add().

synfig::ValueBase synfig::ValueNode_Add::operator() | ( | Time |  | ) | const`[virtual]`

Returns the value of the ValueNode at time t.

Reimplemented from synfig::ValueNode.

References _, synfig::ValueNode::get_type(), synfig::ValueBase::TYPE_ANGLE, synfig::ValueBase::TYPE_COLOR, synfig::ValueBase::TYPE_GRADIENT, synfig::ValueBase::TYPE_INTEGER, synfig::ValueBase::TYPE_REAL, synfig::ValueBase::TYPE_TIME, and synfig::ValueBase::TYPE_VECTOR.

bool ValueNode_Add::set_link_vfunc | ( | int | i,
|  | ValueNode::Handle | x |
| ) |  |  | `[virtual]`

Implements synfig::LinkableValueNode.

References CHECK_TYPE_AND_SET_VALUE, synfig::ValueNode::get_type(), link_count(), and synfig::ValueBase::TYPE_REAL.

ValueNode::LooseHandle ValueNode_Add::get_link_vfunc | ( | int | i | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

References link_count().

int ValueNode_Add::link_count | ( |  | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

Referenced by get_link_vfunc(), link_local_name(), link_name(), and set_link_vfunc().

String ValueNode_Add::link_local_name | ( | int | i | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

References _, and link_count().

String ValueNode_Add::link_name | ( | int | i | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

References link_count().

int ValueNode_Add::get_link_index_from_name | ( | const String & | name | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

String ValueNode_Add::get_name | ( |  | ) | const`[virtual]`

Returns the name of the ValueNode type.

Implements synfig::ValueNode.

String ValueNode_Add::get_local_name | ( |  | ) | const`[virtual]`

Returns the localized name of the ValueNode type.

Implements synfig::ValueNode.

References _.

Referenced by ValueNode_Add().

bool ValueNode_Add::check_type | ( | ValueBase::Type | type | ) | `[static]`

References synfig::ValueBase::TYPE_ANGLE, synfig::ValueBase::TYPE_COLOR, synfig::ValueBase::TYPE_GRADIENT, synfig::ValueBase::TYPE_INTEGER, synfig::ValueBase::TYPE_REAL, synfig::ValueBase::TYPE_TIME, and synfig::ValueBase::TYPE_VECTOR.

The documentation for this struct was generated from the following files:

- valuenode_add.h
- valuenode_add.cpp